@echo off
rem Intel Corporation
rem version 1.0 10/31/00 jrs
CLS
ECHO.
ECHO THIS BATCH FILE WILL INSTALL PROSET II IN WINDOWS* 2000,
ECHO WINDOWS 98 OR WINDOWS ME. IT WILL INSTALL PROSET PLUS IN
ECHO WINDOWS 95. IT IS NOT NEEDED IN WINDOWS NT 4.0. PROSET II
ECHO WILL BE INSTALLED AUTOMATICALLY WHEN THE DRIVERS ARE
ECHO INSTALLED IN WINDOWS NT 4.0.
ECHO.
ECHO DO NOT INSTALL PROSET UNTIL YOU HAVE INSTALLED THE
ECHO RELEASE 4.1.1 DRIVERS. IF YOU HAVE NOT INSTALLED THE
ECHO RELEASE 4.1.1 DRIVERS OR IF YOU ARE RUNNING THIS IN WINDOWS
ECHO NT 4.0, PLEASE EXIT THIS PROGRAM NOW BY ENTERING CTRL-C.
ECHO IF THE RELEASE 4.1.1 DRIVERS ARE ALREADY INSTALLED, THEN
PAUSE

if "%OS%" == "Windows_NT" goto NTX
if "%winbootdir%" == "" goto unknown
:win9x
if exist %winbootdir%\system\prosetp.cpl goto previous
procomp /proset /s ERROR_PATH="%temp%\proset.txt"
goto end

:NTX
if exist %SystemRoot%\system32\prosetp.cpl goto previous
if not exist %SystemRoot%\system32\intelnic.dll goto update
procomp /proset /s ERROR_PATH="%temp%\proset.txt"
goto end

:UNKNOWN
cls
ECHO COULD NOT DETECT THE VERSION OF WINDOWS YOU ARE RUNNING.
ECHO THIS PROGRAM SHOULD ONLY BE USED IN WINDOWS 2000, WINDOWS
ECHO Me, WINDOWS 95 AND WINDOWS 98.
GOTO END

:previous
CLS
ECHO.
ECHO A PREVIOUS INSTALL OF PROSET IS DETECTED. PLEASE UNINSTALL
ECHO THE EXISTING VERSION OF PROSET BEFORE INSTALLING PROSET II.
ECHO TO REMOVE THE EXISTING VERSION, OPEN THE CONTROL PANEL AND
ECHO SELECT ADD/REMOVE PROGRAMS. HIGHLIGHT "INTEL(R) PROSET" OR
ECHO "INTEL(R) PRO ETHERNET ADAPTER AND SOFTWARE" AND THEN
ECHO SELECT ADD/REMOVE.
PAUSE
GOTO END

:update
CLS
ECHO.
ECHO BEFORE INSTALLING PROSET, YOU MUST FIRST UPDATE THE
ECHO SYSTEM TO THE RELEASE 4.1.1 DRIVERS. PLEASE UPDATE THE
ECHO DRIVERS AND THEN RERUN THIS BATCH FILE.
PAUSE
:END